%define	upstream_name	 HTTP-Body
%define upstream_version 1.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    HTTP Body Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.140.0
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
Perl module to parse HTTP request bodies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files 
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/HTTP/Body/*
%{perl_vendorlib}/HTTP/Body.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-3.mga6
+ Revision: 1028428
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.220.0-2.mga6
+ Revision: 967012
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.220.0-1.mga6
+ Revision: 847985
- update to 1.22

* Sun Oct 19 2014 umeabot <umeabot> 1.190.0-4.mga5
+ Revision: 789340
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.190.0-3.mga5
+ Revision: 745378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.190.0-2.mga5
+ Revision: 684993
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.190.0-1.mga5
+ Revision: 586372
- update to 1.19

* Fri Nov 22 2013 luigiwalser <luigiwalser> 1.170.0-4.mga4
+ Revision: 552267
- add patch from debian to fix CVE-2013-4407

* Fri Oct 18 2013 umeabot <umeabot> 1.170.0-3.mga4
+ Revision: 512084
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 368256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 1.170.0-1.mga3
+ Revision: 302778
- update to 1.17

* Thu Dec 08 2011 kharec <kharec> 1.150.0-1.mga2
+ Revision: 179191
- update to 1.15

* Tue Nov 08 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 165445
- remove MYMETA from %%doc
- update to 1.14

* Thu Mar 24 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 76639
- update to 1.12

* Thu Jan 20 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 26355
- mageia rebuild
- imported package perl-HTTP-Body


* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.110.0-1mdv2011.0
+ Revision: 596555
- update to new version 1.11

* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2011.0
+ Revision: 572221
- update to 1.09

* Mon Jan 25 2010 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2011.0
+ Revision: 495703
- update to 1.07

* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.1
+ Revision: 488611
- adding missing buildrequires:
- update to 1.06

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 407778
- rebuild using %%perl_convert_version

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2009.1
+ Revision: 309307
- update to new version 1.05

* Wed Jun 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
+ Revision: 228892
- update to new version 1.04

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2009.0
+ Revision: 194857
- update to new version 1.03
- update to new version 1.03

* Thu Feb 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.1
+ Revision: 175982
- new version

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
+ Revision: 174661
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.9-1mdv2008.0
+ Revision: 20161
- 0.9


* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-1mdk
- New release 0.6
- Add BuildRequire
- Fix source url
- use mkrel

* Sat Dec 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.5-1mdk
- Initial MDV package

